package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.GarbageTreatment;
import com.lightinit.hsdatashow.entity.GarbageTreatmentExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface GarbageTreatmentMapper {
    long countByExample(GarbageTreatmentExample example);

    int deleteByExample(GarbageTreatmentExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GarbageTreatment record);

    int insertSelective(GarbageTreatment record);

    List<GarbageTreatment> selectByExample(GarbageTreatmentExample example);

    GarbageTreatment selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GarbageTreatment record, @Param("example") GarbageTreatmentExample example);

    int updateByExample(@Param("record") GarbageTreatment record, @Param("example") GarbageTreatmentExample example);

    int updateByPrimaryKeySelective(GarbageTreatment record);

    int updateByPrimaryKey(GarbageTreatment record);

    GarbageTreatment getGarbageTreatment();
}